You are viewing a non-production environment — the API surface may differ from production.
Payments API

Settlements

Tab settlements and payment groupings

GET
/api/v1/settlements/{settlementId}

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

settlementId*string

ID of the settlement to retrieve

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/settlements/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "status": "success",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "tabMemberId": "eacdba71-5d30-4031-bb4d-d05e652a7917",    "paymentId": 0,    "state": "in_preparation",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
POST
/api/v1/tabs/{tabId}/settlements/active

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

tabId*string

ID of the tab to get settlement for

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

tabMember*

Tab member identification. The system uses priority order: id > email > phone > identifier

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/tabs/497f6eca-6276-4993-bfeb-53cbbbba6f08/settlements/active" \  -H "Content-Type: application/json" \  -d '{    "tabMember": {}  }'
{  "status": "success",  "data": {    "tabSettlementId": "1dbc958f-43fe-4fab-bfb1-95a30ae8073a",    "state": "in_preparation",    "isNew": true  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}